# coding:utf8

__author__ = 'dong'

import os
import logging


def script_second(workspace_sdk_dir, extract_dir, channel_sdk_info, new_game_channel_info, game_info):
    logging.info('script_second: ' + str(channel_sdk_info))
    for item in ["mipmap-mdpi", "mipmap-hdpi", "mipmap-xhdpi", "mipmap-xxhdpi", "mipmap-xxxhdpi"]:
        delete_file_path = os.path.join(extract_dir, "res", item, "ic_launcher.webp")
        delete_file(delete_file_path)

    return


def delete_file(file):
    if not os.path.exists(file):
        logging.info('public_xml is null: ' + file)
        return
    os.remove(file)
    return


if __name__ == '__main__':
    # replace_super_application("D:\work\wzdq")
    delete_file("E:\\apk\\youhua\\youhua.zip.out")
